Install fails for several packages on Yosemite (current dev preview)


#1

Some packages affected: Linter, Minimap
Raft of errors, but the crucial one is this: npm WARN git config --get remote.origin.url returned wrong result (https://github.com/Benvie/harmony-collections.git) Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo.

Figured out the problem – I’d installed a new version of XCode but hadn’t actually run it. Once I did and XCode installed command line tools, all was well. Posting in case others run into this.


Package updates fail, require sudo
#2

I got bitten myself by that several times, it’s not limited to yosemite though. Recent updates on maverick also produced that.


#3

I ran into this as well, thanks for posting!